/*                                                                                        */
/* The LCD should alternate a display of "  0.500 s Pause " on Line 1 for a 0.5 s pause   */
/* and " 1.000 s Pause " on Line 2 for a 1.0 s. But the longer pause flashes too quickly. */
/*                                                                                        */ 
/* Mike Coombes 2015 Jan 01                                                               */ 
     


#include <xc.h>             // library containing info on this chip 
#include <stdio.h>          // library containing printf() function
#include "..\Common\osc.h"            // library for set_osc_32MHz()
#include "..\Common\configureUSART.h" // library for configureUSART()
#include "..\Common\configuration_bits.h" // our configuration settings

int main(void)
{
unsigned int i;
unsigned int short_pause = 22000;
unsigned int long_pause = 2*short_pause;

set_osc_32MHz(); // set MCU to run at 32 MHz
configureUSART(9600ul,32); // configure MCU serial communication module to run at 9600 baud 
//wait for splash screen to finish just over 1 second
for(i=0; i<54; i++)
   {
    _delay(150000);   // wait 150 000 * TCY = 0.01875 seconds 
   }  

printf("%c%c",0xFE,0x01); //Command - clear and zero display
printf("    APSC 1299   "); // 16 chars wide to fill top line of LCD
for(i=0; i<54; i++)
   {
    _delay(150000);   // wait 150 000 * TCY = 0.01875 seconds 
   }  

while(1)     // this loop will run forever
 {

 printf("%c%c",0xFE,0x01); //Command - clear and zero display
 printf("  0.500 s Pause "); // 16 chars wide to fill top line of LCD
 for( i=0; i<short_pause; i++) // loop time delay
    {
      _delay(150); // time delay
    }
 
 printf("%c%c",0xFE,0x01); //Command - clear and zero display
 printf("%c%c",0xFE,128+64); //Command - move to second line
 printf("  1.000 s Pause "); // 16 chars wide to fill top line of LCD
 for( i=0; i<long_pause; i++); // loop time delay
    {
      _delay(150); // time delay
    }
 
 }
}
