/*                                                                                        */
/* The LCD should step through the ASCII table but only shows same value                  */
/*                                                                                        */ 
/* Mike Coombes 2015 Jan 01                                                               */ 

#include <xc.h>             // library containing info on this chip 
#include <stdio.h>          // library containing printf() function
#include "..\Common\osc.h"            // library for set_osc_32MHz()
#include "..\Common\configureUSART.h" // library for configureUSART()
#include "..\Common\configuration_bits.h" // our configuration settings

int main(void)
{
int i=0;
set_osc_32MHz(); // set MCU to run at 32 MHz
configureUSART(9600ul,32.0); // configure MCU serial communication module to run at 9600 baud 
//wait for splash screen to finish just over 1 second
for(i=0; i<54; i++)
   {
    _delay(150000);   // wait 150 000 * TCY = 0.01875 seconds 
   }    

printf("%c%c",0xFE,0x01); //Command - clear and zero display
printf("    APSC 1299   "); // 16 chars wide to fill top line of LCD
for(i=0; i<54; i++)
   {
    _delay(150000);   // wait 150 000 * TCY = 0.01875 seconds 
   }  

while(1)     // this loop will run forever
 {
 printf("%c%c",0xFE,0x01); //Command - clear and zero display
 for( i=33; i<124; i++)
    {
      printf("%c%c",0xFE,0x01); //Command - clear and zero display
      printf("ASCII %03i = %c",i,i);
      for(i=0; i<54; i++)
		   {
		    _delay(150000);   // wait 150 000 * TCY = 0.01875 seconds 
		   } 
    }
 
 }
}
