/*                                                                                   */
/* The LCD should slowly jiggle a startup message but jiggles too fast.              */
/* Screen is blurred.                                                                */
/*                                                                                   */ 
/* Mike Coombes 2015 Jan 01                                                          */ 


#include <xc.h>             // library containing info on this chip 
#include <stdio.h>          // library containing printf() function
#include "..\Common\osc.h"            // library for set_osc_32MHz()
#include "..\Common\configureUSART.h" // library for configureUSART()
#include "..\Common\configuration_bits.h" // our configuration settings
#include "myTimeDelays.h"   // my library of long time delays 

int main(void)
{
int i=0;
set_osc_32MHz(); // set MCU to run at 32 MHz

configureUSART(9600ul,32); // configure MCU serial communication module to run at 9600 baud 
//wait for splash screen to finish just over 1 second
WaitOneSec();     
 

printf("%c%c",0xFE,0x01); //Command - clear and zero display
printf("   Hello World  "); // 2 line message to jiggle
printf("    APSC 1299   "); // will only show at power on
WaitOneSec();     
WaitHalfSec();     


while(1)     // this loop will run forever
 {
        // Jiggle Message slowly.
        printf("%c%c",0xFE, 0x1C); //move message right one column
        WaitOneSec();       
        printf("%c%c",0xFE, 0x18); //move message left one column
        WaitOneSec();      
 }
}
